<!-- Realisatsiooni aluseks on võetud:
PHP Object Oriented CRUD Example with Bootstrap
Kasutatud 6.04.2016
https://www.codeofaninja.com/2014/06/php-object-oriented-crud-example-oop.html
-->

<?php
/*
======================
Hinnatava eseme klass
======================
*/
class Jalgitav{

    private $conn;
    private $tabel = "jalgitavad";

    public $oksjoni_id;
    public $kasutaja_id;

    public function __construct($db){
        $this->conn = $db;
    }

    function lisamine(){
        // Lisame jälgitavatesse
	    $query = "INSERT IGNORE INTO jalgitavad SET kasutaja_id = ?, oksjoni_id = ?";

	    $stmt = $this->conn->prepare($query);
	    $stmt->bindParam(1, $this->kasutaja_id);
	    $stmt->bindParam(2, $this->oksjoni_id);
	    $stmt->execute();
	}

	function eemaldamine(){
        // Eemaldame jälgitavatest
        $query = "DELETE FROM jalgitavad WHERE kasutaja_id = ? AND oksjoni_id = ?";

        $stmt = $this->conn->prepare($query);
	    $stmt->bindParam(1, $this->kasutaja_id);
	    $stmt->bindParam(2, $this->oksjoni_id);
        $stmt->execute();
	}

}